using UnityEngine;

namespace GameDev.CoreSystems
{
    public class Targetable : MonoBehaviour, ITargetable
    {
        [Header("TargetPositions")]
        [SerializeField] private Transform _centerPosition;
        [SerializeField] private Transform _basePosition;

        public Vector3 GetCenterPosition() => _centerPosition.transform.position;

        public Vector3 GetBasePosition() => _basePosition.transform.position;
    }
}